Skip to main content
POST
/
budgeting
/
categories
Create a budget category
curl --request POST \
  --url https://grosh.muathye.com/api/budgeting/categories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "kind": "expense",
  "name": "<string>",
  "is_active": true
}
'
{
  "id": "<string>",
  "kind": "expense",
  "name": "<string>",
  "is_active": true,
  "account": {
    "id": "<string>",
    "name": "<string>",
    "code": "<string>",
    "type": "<string>",
    "is_active": true
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
kind
enum<string>
required
Available options:
expense,
income
name
string
required
Maximum string length: 150
is_active
boolean

Response

200 - application/json

Successful response

id
string
kind
enum<string>
Available options:
expense,
income
name
string
is_active
boolean
account
object
created_at
string<date-time> | null
updated_at
string<date-time> | null